﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #0366d6;
}

.btn {
    border-radius: 0px;
    box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.2);
}

    .btn:hover, .btn:focus, .btn:active {
        box-shadow: 5px 10px 10px 2px rgba(0, 0, 0, 0.5);
        -webkit-transform: scale(1.005);
        transform: scale(1.005);
    }

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.loader {
    border: 12px solid #f3f3f3; /* Light grey */
    border-top: 12px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 2s linear infinite;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.loader.ycenter {
    margin-top: 5em;
    margin-bottom: 5em;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.td-centered {
    text-align: center;
    vertical-align: middle;
}

.hvr-grow-shadow:hover, .hvr-grow-shadow:focus, .hvr-grow-shadow:active {
    box-shadow: 5px 10px 10px 2px rgba(0, 0, 0, 0.5);
    -webkit-transform: scale(1.015);
    transform: scale(1.015);
    cursor: pointer;
    z-index: 50;
}

.navbar-main {
    background: linear-gradient(90deg, rgba(72,0,255,1) 7%, rgba(92,4,189,1) 50%, rgba(121,9,96,1) 100%);
}

.navbar-main .nav-link {
    color: white;
}

.shadow {
    box-shadow: 5px 5px 5px 2px rgb(0 0 0 / 50%);
}

.table-history {
    border-radius: 5px;
    font-size: 12px;
    font-weight: normal;
    border: none;
    border-collapse: collapse;
    width: 100%;
    max-width: 100%;
    white-space: nowrap;
    background-color: white;
}

    .table-history td {
        border-right: 1px solid #f8f8f8;
        font-size: 12px;
        text-align: center;
        vertical-align: middle;
    }

    .table-history thead th {
        color: #ffffff;
        background: #324960;
        text-align: center;
        vertical-align: middle;
    }

    .table-history tr:nth-child(even) {
        background: #F8F8F8;
    }

.autocomplete-key {
    width: 300px;
}

.e-ddl.e-input-group.e-control-wrapper .e-input {
    color: white;
}

    .e-ddl.e-input-group.e-control-wrapper .e-input::placeholder {
        color: white;
    }

.e-input-group:not(.e-success):not(.e-warning):not(.e-error):not(.e-float-icon-left), 
.e-input-group.e-float-icon-left:not(.e-success):not(.e-warning):not(.e-error) .e-input-in-wrap, 
.e-input-group.e-control-wrapper:not(.e-success):not(.e-warning):not(.e-error):not(.e-float-icon-left), 
.e-input-group.e-control-wrapper.e-float-icon-left:not(.e-success):not(.e-warning):not(.e-error) .e-input-in-wrap, 
.e-float-input.e-float-icon-left:not(.e-success):not(.e-warning):not(.e-error) .e-input-in-wrap, 
.e-float-input.e-control-wrapper.e-float-icon-left:not(.e-success):not(.e-warning):not(.e-error) .e-input-in-wrap {
    border-color: white !important;
}

.home-barchart {
    height: 420px !important;
}

.home-piechart {
    height: 340px !important;
}


/* Key Notes section */

.keynote-section {
}

.keynote-editor {
}

.keynote-notes {
    overflow-y: auto;
    height: 500px;
}

    .keynote-notes .keynote-note {
    }

.cache-modal--keys {
    overflow-y: auto;
    height: 300px;
}

/*Home Table*/
.table-wrapper {
    margin: 10px 70px 70px;
    box-shadow: 20px;
}

.home-table {
    border-radius: 5px;
    font-size: 12px;
    font-weight: normal;
    border: none;
    border-collapse: collapse;
    width: 100%;
    max-width: 100%;
    white-space: nowrap;
    background-color: white;
}

    .home-table td, .home-table th {
        text-align: center;
        padding: 8px;
    }

    .home-table td {
        width: 72px;
        border-right: 1px solid #f8f8f8;
        font-size: 12px;
        text-align: center;
        vertical-align: middle;
    }

    .home-table thead th {
        color: #ffffff;
        background: #324960;
    }

    .home-table tr:nth-child(even) {
        background: #F8F8F8;
    }

    .home-table td img {
        height: 30px;
    }

    .home-table td .info {
        margin: 5px;
        height: 15px;
    }

    .home-table > thead > tr > th:nth-child(2) {
        width: 400px;
    }